@()(implicit i18nMessages: Messages)

<span ng-controller="addAgentGroupCtrl" class="glyphicon glyphicon-plus glyph-grey addGroups"
      ng-click="addAgentGroup(queue, groupOfGroups.penalty)">
    <script type="text/ng-template" id="addAgentGroupContent.html">
        <div class="modal-header">
            <button type="button" class="close" ng-click="cancel()">×</button>
            <h3 class="modal-title">
                <span class="queueInfo">@i18nMessages("ccmanager.queueAddGroup")</span> <span>{{queue.displayName}} ({{queue.number}})</span> <span>@i18nMessages("ccmanager.penalty")</span><span> {{penalty}}</span>
            </h3>
        </div>
        <div class="modal-body">
            <form name="agentGroupForm">
                <table ng-table="agentGroups" class="table table-striped table-condensed">
                    <tr ng-repeat="group in $data">
                        <td><span class="glyphicon glyphicon-plus addAGroup" ng-click="addGroup(group, queue.id, penalty)"></span></td>
                        <td data-title="'@i18nMessages("ccmanager.groupId")'" sortable="'id'"> <span class="badge">{{group.id}}</span></td>
                        <td data-title="'@i18nMessages("ccmanager.groupName")'" sortable="'name'"> {{group.name}}</td>
                    </tr>
                </table>
            </form>
        </div>
        <div class="modal-footer">
            <button class="btn btn-warning" ng-click="cancel()">@i18nMessages("ccmanager.dismiss")</button>
        </div>
    </script>
</span>
